<head>
  <style>
   span {
       margin:5.5 auto;
   }
   .tax_del, .editgodown_del{
       color:#000000;
   }
  </style>
</head>
<div class="col-sm-6" style="margin-top: -18;">
  <div class="editpr">
    <div class="row">
      <input id="gsflag" name="gsflag" value="{{proddesc["gsflag"]}}" hidden>
      <div class="form-group col-sm-11 pd">

	{%if category|length > 0 %}

	  <input hidden value="1" id="catg">
          <div class="row">
            <div class="form-group col-sm-12" id="categorydiv">
              <label id="editcatselectlabel" for="editcatselect" class="">{% trans %}Category{% endtrans %} :</label>
	      <select class= "form-control input-sm "  name = "catselect" id="editcatselect" >
		{% if proddesc["categorycode"]== None %}
		  <option value="" selected>{% trans %}None{% endtrans %}</option>
		{% endif %}
		{% for cat in category %}
		  {% if cat['categorycode']== proddesc["categorycode"] %}
		    <option value="{{cat['categorycode']}}" selected>{{cat["categoryname"]}}</option>
		  {% else %}
		    <option value="{{cat['categorycode']}}" >{{cat["categoryname"]}}</option>
		  {% endif %}
		{% endfor %}
	      </select>
	    </div>
          </div>
        {%endif%}
	{% if proddesc["gsflag"]==7 %}
	  <label for="editproddesc" class="" id="prodlabel">New Name of the Product :</label><label for="addproddesc" style="color:red;font-size: 120%;">*</label>
	{%else%}
	  <label for="editproddesc" class="" id="servicelabel">New Name of the Service :</label><label for="addproddesc" style="color:red;font-size: 120%;">*</label>
	{%endif%}
	<input type='text' class="form-control input-sm" name="editproddesc"  id="editproddesc" value="{{proddesc['productdesc']}}" placeholder="Alphanumeric">
        {% if proddesc["gsflag"]==7 %}
          <div class="row">
            <div class="form-group col-sm-11">
              <small id="txtareahelp" class="form-text text-muted">{% trans %}If you want to put this product under a category/sub-category, you must create/select a category first.{% endtrans %}</small>
            </div>
          </div>
        {%endif%}
      </div>
    </div>
    <div class="row">
      <div class="form-group col-sm-5 pd ">
	{% if proddesc["gsflag"]==7 %}
	  <label for="gscode" class="" id="hsnorservnolabel">New HSN No. :</label><label for="addproddesc" style="color:red;font-size: 120%;">*</label>
	{%else%}
	  <label for="gscode" class="" id="hsnorservnolabel" style="font-size: 96%;">New Accounting Code for Service :</label><label for="addproddesc" style="color:red;font-size: 120%;">*</label>
	{%endif%}
	<input type='text' class="form-control input-sm numtype hsn" name="gscode"  id="gscode" value="{{proddesc['gscode']}}" placeholder="Non-zero">
      </div>
    {% if proddesc["gsflag"]==7 %}
	<div class="form-group col-sm-offset-1 col-sm-5 pds olduom">
	  <label for="edituom" class="">{% trans %}Unit of Measurement{% endtrans %} :</label><label for="edituom" style="color:red;font-size: 120%;">*</label>
	  <select class = "form-control input-sm "  name = "uom" id="edituom" >
	    {% for uom in uom %}
	      {% if uom["uomid"]== proddesc["uomid"] %}
		<option value="{{uom['uomid']}}" uname="{{uom["unitname"]}}" selected>{{uom["unitname"]}} {% if uom["description"] != None %} ({{ uom["description"] }}){% endif %} </option>
	      {% else %}
		<option value="{{uom['uomid']}}" uname="{{uom["unitname"]}}">{{uom["unitname"]}} {% if uom["description"] != None %} ({{ uom["description"] }}){% endif %} </option>
	      {% endif %}
	    {% endfor %}
	  </select>
	</div>
    {%endif%}
    </div>
    <div class="row">
      <div class="form-group col-sm-5">
	{% if  proddesc["gsflag"]==7  %}
          <label for="maxprice" class="common">{% trans %}MRP{% endtrans %}:</label>
	{% else %}
	  <label for="maxprice" class="common">{% trans %}Maximum Rate{% endtrans %}:</label>
	{% endif %}
        <input type='text' class="form-control input-sm common numtype" name="prodmrp"  id="maxprice" value="{{proddesc["prodmrp"]}}">
      </div>
      <div class="form-group col-sm-offset-1 col-sm-5">
	{% if  proddesc["gsflag"]==7  %}
          <label for="saleprice" class="common">{% trans %}Sale Price{% endtrans %}:</label>
	{% else %}
	  <label for="saleprice" class="common">{% trans %}Default Rate{% endtrans %}:</label>
	{% endif %}
        <input type='text' class="form-control input-sm common numtype" name="prodsp"  id="saleprice" value="{{proddesc["prodsp"]}}">
      </div>
    </div>
  <div id="extsp" class="row">

      <input type="text" id="numberofspecs" value="{{prodspecs|length}}" hidden>
      {% if prodspecs|length > 0 %}
	<div class="col-sm-11">
	  <div class="panel">
            <table id="spec_table" class="table table-condensed table-bordered fixed-table">
              <thead class="bg-primary input-sm">
		<tr>
		  <th class="col-xs-2 text-center">{% trans %}Specifications{% endtrans %}</th>
		  <th class="col-xs-2 text-center">{% trans %}Value{% endtrans %}</th>
		</tr>
              </thead>
              <tbody>
		{% for spec in prodspecs %}
		  <tr>
		    <td>
		      <label for="{{spec['spcode']}}" class="">{{spec["attrname"]}}</label>
		      <input type="text" class="spec_name" value="{{spec['spcode']}}" hidden>
		    </td>
		    <td>
		      {% if spec["attrtype"]==0 %}

			<input type="text" class="form-control spec_value spec input-sm" id="{{spec['spcode']}}" placeholder="Alphanumeric" value="{% for pdesc in proddesc['specs'] %}{% if pdesc|int == spec['spcode']|int %}{{proddesc['specs'][pdesc]}}{% endif %}{% endfor %}">
		      {% elif spec["attrtype"]==1 %}
			<input type="text" class="form-control spec_value spec input-sm numtype" id="{{spec['spcode']}}" placeholder="Numeric" value="{% for pdesc in proddesc['specs'] %}{% if pdesc|int == spec['spcode']|int %}{{proddesc['specs'][pdesc]}}{% endif %}{% endfor %}">
		      {% elif spec["attrtype"]==2 %}
			<div class="form-inline">
			  <div class="form-group ">
			    <input type="text" class="form-control input-sm spec specday specdate" size="2" maxlength="2" placeholder="DD" value="{% for pdesc in proddesc['specs'] %}{% if pdesc|int == spec['spcode']|int %}{{proddesc['specs'][pdesc][8]+proddesc['specs'][pdesc][9]}}{% endif %}{% endfor %}">
			  </div>
			  <div class="form-group ">
			    <input type="text" class="form-control input-sm spec specmonth specdate" size="2" maxlength="2" placeholder="MM" value="{% for pdesc in proddesc['specs'] %}{% if pdesc|int == spec['spcode']|int %}{{proddesc['specs'][pdesc][5]+proddesc['specs'][pdesc][6]}}{% endif %}{% endfor %}">
			  </div>
			  <div class="form-group">
			    <input type="text" class="form-control input-sm spec specyear specdate" size="4" maxlength="4" placeholder="YYYY" value="{% for pdesc in proddesc['specs'] %}{% if pdesc|int == spec['spcode']|int %}{{proddesc['specs'][pdesc][0]+proddesc['specs'][pdesc][1]+proddesc['specs'][pdesc][2]+proddesc['specs'][pdesc][3]}}{% endif %}{% endfor %}">
			  </div>
			  <input type="text" class="spec_value datevalue" value="{% for pdesc in proddesc['specs'] %}{% if pdesc|int == spec['spcode']|int %}{{proddesc['specs'][pdesc]}}{% endif %}{% endfor %}" hidden>
			</div>
		      {% endif %}
		    </td>
		  </tr>
		{% endfor %}
	      </tbody>
	    </table>
	  </div>
	</div>
      {% endif %}
    </div>
  </div>
</div>
<div class="col-sm-6" style="margin-top: -67;">
  {% if userrole|int != 3 %}
    <div class="row">
      <div class="form-group taxdiv">
	<div class="alert alert-danger" id="tax-name-blank-alert"  aria-live="rude" role="alert" hidden>

          {% trans %}Please Specify Tax Name.{% endtrans %}
        </div>
	<div class="alert alert-warning nopadding" id="gstrateEdit"  aria-live="rude" role="alert" hidden>
	  <strong>{% trans %}Please edit 'GST' rate!{% endtrans %}</strong>
	</div>
	<div class="panel taxinnerdiv">
	  <table id="product_edit_tax_table" class="table table-condensed table-bordered fixed-table">
	    <thead class="bg-primary input-sm">
              <tr>
		<th class="col-xs-4 text-center">{% trans %}Tax Name{% endtrans %}</th>
		<th class="col-xs-4 text-center">{% trans %}State{% endtrans %}</th>
		<th class="col-xs-2 text-center">{% trans %}Rate %{% endtrans %}</th>
		<th class="col-xs-1"></th>
		<th class="col-xs-1"></th>
		<th class=""></th>
              </tr>
	    </thead>
	    <input value="{{vatorgstflag}}" id="vatorgstflag" hidden>
	    <tbody>
              <tr class="blank" value="new">
		<td class="col-xs-4">
		  <select class="form-control input-sm product_tax_disable tax_name product_new_name">
		    <option value="" hidden disabled selected>Select Tax</option>
		    {%if vatorgstflag=='7' or vatorgstflag=='29' %}
                      <option value="IGST">GST</option>
                      <option value="CESS">CESS</option>
		    {%endif%}
		    <option value="VAT">VAT</option>
		    <option value="CVAT">CVAT</option>
		  </select>
		</td>
		<td class="col-xs-4">
		  <select class="form-control input-sm tax_state product_new_state product_tax_disable" >
		    <option value="" hidden disabled selected>Select State</option>
		    {% for state in states %}
		      {% for key, value in state.items() %}
			<option value="{{value}}" stateid="{{key}}">{{value}}</option>
		      {% endfor %}
		    {% endfor %}
		    <option value="" stateid="">None</option>
		  </select>
		</td>
		<td class="col-xs-2">
		  <input class="form-control input-sm tax_rate text-right product_new_rate numtype product_tax_disable" placeholder="Rate" value="0.00">
		</td>
		<td class="col-xs-1 product_tax_disable">
		</td>
		<td class="col-xs-1 product_tax_disable">
		  <div style="text-align: center;">
		    <a href="#" class="tax_del"><span class="glyphicon glyphicon-remove" aria-hidden="true"></span></a>
		  </div>
		</td>
              </tr>
	    </tbody>
	  </table>
	  <input type="text" name="inv" id="invflag" value="1" hidden>
	</div>
	<small id="taxhelp4" class="form-text text-muted common">Press 'Insert' key from anywhere on the screen to save changes.</small>
	<div class="collapse" id="moresmall">
	  <small id="taxhelp2" class="form-text text-muted ">Press 'Ctrl + >' to move forward or 'Ctrl + <' to move backward within a row in a table.</small><br/>
	  <small id="taxhelp" class="form-text text-muted">Press 'Shift + <' to move backward within a Column in a table.</small>
	  {% if  proddesc["gsflag"]==7  %}
	    {% if numberofgodowns|int > 0 %}
              <small  class="form-text text-muted " id="godownmsg">When on Tax Rate or Tax Name, Press 'Esc' key to shift focus to Opening Stock and from Opening Stock to 'Save' button.</small>
	    {% else %}
	      <small  class="form-text text-muted productclass">When on Tax Rate or Tax Name, Press 'Esc' key to shift focus to Opening Stock and from Opening Stock to 'Save' button.</small>
	    {% endif %}
	  {% else %}
	    <small  class="form-text text-muted serviceclass">When on Tax Rate or Tax Name, Press 'Esc' key to shift focus to Opening Stock and from Opening Stock to 'Save' button.</small>
	  {% endif %}
	</div>
	<a data-toggle="collapse" id="smalllink" href="#moresmall">See more.<span class="glyphicon glyphicon-triangle-bottom"></span></a>
      </div>
    </div>
  {% endif %}
  {% if proddesc["gsflag"]==7 %}
    <div class="row noinventory">

      {% if not godown %}
	<input type="text" name="godownflag" id="editgodownflag" value="0" hidden>
	<input type="text" id="editgodownpresence" value="0" hidden>
	<div class="form-group pds" id ="beforeaddingfirstgodown">
	  <label for="editopeningstock" class="invsbill">{% trans %}Opening Stock{% endtrans %} :</label>
	  <div class="input-group col-sm-6">
            <input type='text' class="form-control text-right input-sm" name="openingstock"  id="editopeningstock" value="{{proddesc['openingstock']}}" aria-describedby="unitaddon">
            <span class="input-group-addon input-sm" id="unitaddon"></span>
	  </div>
	</div>
	<div id="newgodownadded" hidden>
	  <div class="form-group">
            <input type="checkbox" name="godownflag" id="editgodownflag" value="1">
            <label class="" for="editgodownflag">{% trans %}Godown Wise Opening Stock{% endtrans %}</label>
	  </div>
	  <div id="editnogodown" class="form-group pds">
            <label for="editopeningstock" class="">{% trans %}Opening Stock{% endtrans %} :</label>
            <div class="input-group col-sm-6">
              <input type='text' class="form-control text-right input-sm" name="openingstock"  id="editopeningstock" value="{{proddesc['openingstock']}}" aria-describedby="unitaddon">
              <span class="input-group-addon input-sm" id="unitaddon"></span>
            </div>
	  </div>
	  <div class="alert alert-danger" id="godown-blank-alert"  aria-live="rude" role="alert" hidden>
	    {% trans %}Please select a godown.{% endtrans %}
	  </div>
	  <div  id="editopeningstockdiv" class="form-group" hidden>
            <div class="panel">
              <table id="editgodown_ob_table" class="table table-condensed table-bordered fixed-table">
		<thead class="bg-primary input-sm">
		  <tr>
                    <th class="col-xs-7 text-center">{% trans %}Godown{% endtrans %}</th>
                    <th class="col-xs-3 text-center">{% trans %}Opening Stock{% endtrans %}</th>
                    <th class="col-xs-1 text-center"></th>
		    <th class="col-xs-1 text-center"></th>
		  </tr>
		</thead>
		<tbody>
                  <tr class="editgodownid">
                    <td class="col-xs-7">
                      <select class="form-control input-sm editgodown_name">
			<option value="" disabled selected hidden>Select Godown</option>
			{% for record in godown %}
			  <option value={{record["goid"]}}>{{record["goname"]}}({{record["goaddr"]}})</option>
			{% endfor %}
                      </select>
                    </td>
                    <td class="col-xs-3">
                      <input class="form-control input-sm editgodown_ob text-right numtype" value="0.00">
                    </td>
                    <td class="col-xs-1">

                    </td>
		    <td class="col-xs-1">
                    </td>
                  </tr>
		</tbody>
              </table>
            </div>
	  </div>

	</div>
      {% else %}
	<input type="text" id="editgodownpresence" value="1" hidden>
	{% if numberofgodowns==0 %}
	  <div class="form-group">
	    <input type="checkbox" name="godownflag" id="editgodownflag" value="0">
	    <label class="" for="editgodownflag">{% trans %}Godown Wise Opening Stock{% endtrans %}</label>
	  </div>
	  <div id="editnogodown" class="form-group pds">
	    <label for="editopeningstock" class="">{% trans %}Opening Stock{% endtrans %} :</label>
	    <div class="input-group col-sm-6">
	      <input type='text' class="form-control text-right input-sm" name="openingstock"  id="editopeningstock" value="{{proddesc['openingstock']}}" aria-describedby="unitaddon">
	      <span class="input-group-addon input-sm" id="unitaddon"></span>
	    </div>
	  </div>
	  <div class="alert alert-danger" id="godown-blank-alert"  aria-live="rude" role="alert" hidden>
	    {% trans %}Please select a godown.{% endtrans %}
	  </div>
	  <div id="editopeningstockdiv" class="form-group" hidden>
	    <div class="panel">
	      <table id="editgodown_ob_table" class="table table-condensed table-bordered fixed-table">
		<thead class="bg-primary input-sm">
		  <tr>
		    <th class="col-xs-7 text-center">{% trans %}Godown{% endtrans %}</th>
		    <th class="col-xs-3 text-center">{% trans %}Opening Stock{% endtrans %}</th>
		    <th class="col-xs-1 text-center"></th>
		    <th class="col-xs-1 text-center"></th>
		  </tr>
		</thead>
		<tbody>
		  <tr class="editgodownid">
		    <td class="col-xs-7">
		      <select class="form-control input-sm editgodown_name">
			<option value="" disabled selected hidden>Select Godown</option>
			{% for record in godown %}
			  <option value={{record["goid"]}}>{{record["goname"]}}({{record["goaddr"]}})</option>
			{% endfor %}
		      </select>
		    </td>
		    <td class="col-xs-3">
		      <input class="form-control input-sm editgodown_ob text-right numtype" value="0.00">
		    </td>
		    <td class="col-xs-1">
		      
		    </td>
		    <td class="col-xs-1">
		    </td>
		  </tr>
		</tbody>
	      </table>
	    </div>
	  </div>
	{% else %}
	  <input type="text" name="godownflag" id="editgodownflag" value="1" hidden>
	  <div class="alert alert-danger" id="godown-blank-alert"  aria-live="rude" role="alert" hidden>
	    {% trans %}Please select a godown.{% endtrans %}
	  </div>
	  <div  id="editopeningstockdiv" class="form-group">
	    <div class="panel">
	      <table id="editgodown_ob_table" class="table table-condensed table-bordered fixed-table">
		<thead class="bg-primary input-sm">
		  <tr>
		    <th class="col-xs-7 text-center">{% trans %}Godown{% endtrans %}</th>
		    <th class="col-xs-3 text-center">{% trans %}Opening Stock{% endtrans %}</th>
		    <th class="col-xs-1 text-center"></th>
		    <th class="col-xs-1 text-center"></th>
		  </tr>
		</thead>
		<tbody>
		  {% for record in range(numberofgodowns) %}
		    <tr class="editgodownid">
		      <td class="col-xs-7">
			<select class="form-control input-sm editgodown_name">
			  {% for record in godown %}
			    <option value={{record["goid"]}}>{{record["goname"]}}({{record["goaddr"]}})</option>
			  {% endfor %}
			</select>
		      </td>
		      <td class="col-xs-3">
			<input class="form-control input-sm editgodown_ob text-right numtype" value="0.00">
              </td>
              <td class="col-xs-1">
		
              </td>
	      <td class="col-xs-1">
              </td>
            </tr>
          {% endfor %}
        </tbody>
      </table>
    </div>
  </div>
  {% endif %}
    {% endif %}
</div>
{%endif%}
</div>
